﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebApplication1.WebForm1" %>


<%@ Register Assembly="Infragistics45.Web.v15.2" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics45.Web.v15.2, Version=15.2.20152.2195, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics45.Web.v15.2, Version=15.2.20152.2195, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics45.Web.v15.2, Version=15.2.20152.2195, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <ig:WebScriptManager runat="server"></ig:WebScriptManager>
            <asp:Panel ID="FSDataPanel" runat="server" CssClass="modalPopup" Width="900px">
                <asp:ImageButton ID="ibtnGeneralInfo" runat="server" CausesValidation="False" AlternateText="Click to see General Information."
                    ImageUrl="../assets/images/tab_general_info_hl.gif" ToolTip="Click to see General Information."></asp:ImageButton><asp:ImageButton ID="ibtnSubObligation" runat="server" CausesValidation="False" AlternateText="Click here to see the sub-obligations."
                        ImageUrl="../assets/images/tab_subobligation.gif" ToolTip="Click here to see the sub-obligations." OnClick="ibtnSubObligation_Click"></asp:ImageButton><asp:ImageButton ID="ibtnTransaction" runat="server" CausesValidation="False" AlternateText="Click here to see the transaction history."
                            ImageUrl="../assets/images/tab_transaction.gif" ToolTip="Click here to see the transaction history." OnClick="ibtnTransaction_Click"></asp:ImageButton><asp:ImageButton ID="ibtnComment" runat="server" CausesValidation="False" AlternateText="Click here to see the comments."
                                ImageUrl="../assets/images/tab_comment.gif" ToolTip="Click here to see the comments." OnClick="ibtnComment_Click"></asp:ImageButton>
                <asp:Panel ID="GeneralInfoPanel" runat="server">
                </asp:Panel>
                <asp:Panel ID="SubObligationPanel" runat="server">
                    <ig:WebDataGrid ID="igrdSubObligation" runat="server" Height="350px" Width="100%" EnableAjaxViewState="true"
                        DefaultColumnWidth="60px" EnableDataViewState="True" AutoGenerateColumns="False"
                        DataKeyFields="FalseKey">
                        <Behaviors>
                            <ig:EditingCore AutoCRUD="false" BatchUpdating="true">
                                <Behaviors>
                                    <ig:CellEditing Enabled="true">
                                        <ColumnSettings>
                                            <ig:EditingColumnSetting ColumnKey="SBR_RESV_NUM" EditorID="igrd_drpdwn" ReadOnly="false" />
                                            <ig:EditingColumnSetting ColumnKey="DRCTV_AMT" ReadOnly="false" />
                                            <ig:EditingColumnSetting ColumnKey="sbr_resv_line_num" ReadOnly="true" />
                                        </ColumnSettings>
                                        <EditModeActions EnableOnActive="True" MouseClick="Single"></EditModeActions>
                                    </ig:CellEditing>
                                </Behaviors>
                            </ig:EditingCore>
                            <ig:SummaryRow EmptyFooterText="" EnableSummariesFilter="False" FormatString="{1}" ShowSummariesButtons="false" SummariesCssClass="summaryRow">
                                <ColumnSummaries>
                                    <ig:ColumnSummaryInfo ColumnKey="DRCTV_AMT">
                                        <Summaries>
                                            <ig:Summary SummaryType="Sum" />
                                        </Summaries>
                                    </ig:ColumnSummaryInfo>
                                </ColumnSummaries>
                            </ig:SummaryRow>
                            <ig:Activation></ig:Activation>
                            <ig:Selection></ig:Selection>
                            <ig:Sorting></ig:Sorting>
                            <ig:ColumnResizing></ig:ColumnResizing>
                        </Behaviors>
                        <Columns>
                            <ig:BoundDataField Header-Text="FalseKey" Hidden="true" DataFieldName="FalseKey"
                                Key="FalseKey">
                                <Header Text="FalseKey" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Header-Text="Plan_Drctv_ID" Hidden="true" DataFieldName="Plan_Drctv_ID"
                                Key="Plan_Drctv_ID">
                                <Header Text="Plan_Drctv_ID" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="SBR_SUB_OB_REF_ID" Hidden="true" DataFieldName="SBR_SUB_OB_REF_ID">
                                <Header Text="Sub-Obligation id" />
                            </ig:BoundDataField>
                            <ig:UnboundField Key="SBR_RESV_NUM" Hidden="False" Width="21%">
                                <Header Text="Sub-Obligation Number" />
                            </ig:UnboundField>
                            <ig:BoundDataField Key="DRCTV_AMT" Width="10%" DataFormatString="${0:N0}" DataType="System.Decimal"
                                DataFieldName="DRCTV_AMT">
                                <Header Text="Amount to Plan/Authorize" />
                            </ig:BoundDataField>
                        </Columns>
                        <EditorProviders>
                            <ig:DropDownProvider ID="igrd_drpdwn" StretchHeight="True">
                                <EditorControl runat="server" ID="grd_dd_base" DropDownContainerMaxHeight="400px" ClientIDMode="Predictable"
                                    NullText="" DataKeyFields="SBR_SUB_OB_REF_ID" Width="500px" EnableAnimations="False" EnableDropDownAsChild="False" DropDownContainerHeight="400px" Height="400px">
                                    <Items>
                                        <ig:DropDownItem Selected="False" Text="Select a Sub-Ob" Value=""></ig:DropDownItem>
                                    </Items>
                                    <ItemTemplate>
                                        <ig:WebDataGrid ID="grid" runat="server" Height="400px" Width="100%" EnableDataViewState="true"
                                            AutoGenerateColumns="False" DataKeyFields="SBR_SUB_OB_REF_ID" OnInit="grid_Init">
                                            <Columns>
                                                <ig:BoundDataField Key="SBR_SUB_OB_REF_ID" Hidden="True" DataFieldName="SBR_SUB_OB_REF_ID">
                                                    <Header Text="SBR_SUB_OB_REF_ID" />
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="SBR_RESV_NUM" Width="35%" DataFieldName="SBR_RESV_NUM">
                                                    <Header Text="Sub-Obligation" />
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="SBR_RESV_LINE_NUM" Width="10%" DataFieldName="SBR_RESV_LINE_NUM">
                                                    <Header Text="Line" />
                                                </ig:BoundDataField>
                                            </Columns>
                                            <Behaviors>
                                                <ig:Selection CellClickAction="Row" CellSelectType="None" RowSelectType="Single"></ig:Selection>
                                                <ig:Activation></ig:Activation>
                                            </Behaviors>
                                        </ig:WebDataGrid>
                                    </ItemTemplate>
                                </EditorControl>
                            </ig:DropDownProvider>
                        </EditorProviders>
                    </ig:WebDataGrid>
                </asp:Panel>
                <asp:Panel ID="TransactionPanel" runat="server">
                    transaction
                </asp:Panel>
                <asp:Panel ID="CommentPanel" runat="server">
                    comment
                </asp:Panel>
            </asp:Panel>
        </div>
    </form>
</body>
</html>
