﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm2.aspx.cs" Inherits="WebApplication1.WebForm2" %>

<%@ Register Assembly="Infragistics4.Web.v15.2" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v15.2, Version=15.2.20152.2195, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v15.2, Version=15.2.20152.2195, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v15.2, Version=15.2.20152.2195, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <ig:WebDataGrid ID="igrdSubObligation" runat="server" Height="350px" Width="100%" EnableAjaxViewState="true"
                DefaultColumnWidth="60px" EnableDataViewState="True" AutoGenerateColumns="False"
                DataKeyFields="FalseKey">
                <behaviors>
                            <ig:EditingCore AutoCRUD="false" BatchUpdating="true">
                                <Behaviors>
                                    <ig:CellEditing Enabled="true">
                                        <ColumnSettings>
                                            <ig:EditingColumnSetting ColumnKey="SBR_RESV_NUM" EditorID="igrd_drpdwn" ReadOnly="false" />
                                            <ig:EditingColumnSetting ColumnKey="DRCTV_AMT" ReadOnly="false" />
                                            <ig:EditingColumnSetting ColumnKey="SBR_AMT_AVAILABLE" ReadOnly="true" />
                                            <ig:EditingColumnSetting ColumnKey="ar_activity_cd" ReadOnly="true" />
                                            <ig:EditingColumnSetting ColumnKey="sor_cd" ReadOnly="true" />
                                            <ig:EditingColumnSetting ColumnKey="FR_END_BUDGET_FY" ReadOnly="true" />
                                            <ig:EditingColumnSetting ColumnKey="FR_BEGIN_BUDGET_FY" ReadOnly="true" />
                                            <ig:EditingColumnSetting ColumnKey="FR_FUND_CD" ReadOnly="true" />
                                            <ig:EditingColumnSetting ColumnKey="sbr_resv_line_num" ReadOnly="true" />
                                        </ColumnSettings>
                                        <EditModeActions EnableOnActive="True" MouseClick="Single"></EditModeActions>
                                    </ig:CellEditing>
                                </Behaviors>
                            </ig:EditingCore>
                            <ig:SummaryRow EmptyFooterText="" EnableSummariesFilter="False" FormatString="{1}" ShowSummariesButtons="false" SummariesCssClass="summaryRow">
                                <ColumnSummaries>
                                    <ig:ColumnSummaryInfo ColumnKey="DRCTV_AMT">
                                        <Summaries>
                                            <ig:Summary SummaryType="Sum" />
                                        </Summaries>
                                    </ig:ColumnSummaryInfo>
                                </ColumnSummaries>
                            </ig:SummaryRow>
                            <ig:Activation>
                            </ig:Activation>
                            <ig:Selection>
                            </ig:Selection>
                            <ig:Sorting>
                            </ig:Sorting>
                            <ig:ColumnResizing>
                            </ig:ColumnResizing>
                        </behaviors>
                <columns>
                            <ig:UnboundCheckBoxField Key="AllowSubObSearch" HeaderCheckBoxMode="Off" Header-Text="SubOb Search?"
                                Width="8%" CssClass="center">
                                <Header Text="SubOb Search?" />
                            </ig:UnboundCheckBoxField>
                            <ig:BoundDataField Header-Text="FalseKey" Hidden="true" DataFieldName="FalseKey"
                                Key="FalseKey">
                                <Header Text="FalseKey" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Header-Text="Plan_Drctv_ID" Hidden="true" DataFieldName="Plan_Drctv_ID"
                                Key="Plan_Drctv_ID">
                                <Header Text="Plan_Drctv_ID" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="SBR_SUB_OB_REF_ID" Hidden="true" DataFieldName="SBR_SUB_OB_REF_ID">
                                <Header Text="Sub-Obligation id" />
                            </ig:BoundDataField>
                            <ig:UnboundField Key="SBR_RESV_NUM" Hidden="False" Width="21%">
                                <Header Text="Sub-Obligation Number" />
                            </ig:UnboundField>
                            <ig:BoundDataField Key="sbr_resv_line_num" DataFieldName="sbr_resv_line_num" Width="8%"
                                CssClass="gray">
                                <Header Text="Accounting Line" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="FR_FUND_CD" DataFieldName="FR_FUND_CD" Width="8%" CssClass="gray">
                                <Header Text="Fund" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="FR_BEGIN_BUDGET_FY" DataFieldName="FR_BEGIN_BUDGET_FY" Width="5%"
                                CssClass="gray">
                                <Header Text="BBFY" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="FR_END_BUDGET_FY" DataFieldName="FR_END_BUDGET_FY" Width="5%"
                                CssClass="gray">
                                <Header Text="EBFY" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="sor_cd" DataFieldName="sor_cd" Width="8%" CssClass="gray">
                                <Header Text="Program Area" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="ar_activity_cd" DataFieldName="ar_activity_cd" Width="8%"
                                CssClass="gray">
                                <Header Text="Program Element" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="SBR_AMT_AVAILABLE" Width="10%" DataFormatString="${0:N0}"
                                DataType="System.Decimal" DataFieldName="SBR_AMT_AVAILABLE" CssClass="rightgray">
                                <Header Text="Available Amount" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="DRCTV_AMT" Width="10%" DataFormatString="${0:N0}" DataType="System.Decimal"
                                DataFieldName="DRCTV_AMT">
                                <Header Text="Amount to Plan/Authorize" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="AUTHORIZED_DATE" Hidden="True" DataFieldName="AUTHORIZED_DATE">
                                <Header Text="AUTHORIZED_DATE" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="AUTHORIZED_APP_USER_ID" Hidden="True" DataFieldName="AUTHORIZED_APP_USER_ID">
                                <Header Text="AUTHORIZED_APP_USER_ID" />
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="requisition_amt" Hidden="True" DataFieldName="requisition_amt">
                            </ig:BoundDataField>
                            <ig:BoundDataField Key="IN_REQUISITION" Hidden="True" DataFieldName="IN_REQUISITION"
                                DataType="System.Boolean">
                            </ig:BoundDataField>
                            <ig:UnboundField Key="AllowEdit" Hidden="true" DataType="system.boolean">
                            </ig:UnboundField>
                        </columns>
                <editorproviders>
                            <ig:DropDownProvider ID="igrd_drpdwn" StretchHeight="True">
                                <EditorControl runat="server" ID="grd_dd_base" DropDownContainerMaxHeight="400px" ClientIDMode="Predictable"
                                    NullText="" DataKeyFields="SBR_SUB_OB_REF_ID" Width="500px" EnableAnimations="False" EnableDropDownAsChild="False" DropDownContainerHeight="400px" Height="400px">
                                    <Items>
                                        <ig:DropDownItem Selected="False" Text="Select a Sub-Ob" Value="">
                                        </ig:DropDownItem>
                                    </Items>
                                    <ItemTemplate>
                                        <%--                                                    <div id="RegularGrid" visible="true">--%>
                                        <ig:WebDataGrid ID="grid" runat="server" Height="400px" Width="100%" EnableDataViewState="true"
                                            AutoGenerateColumns="False" DataKeyFields="SBR_SUB_OB_REF_ID" OnInit="grid_Init">
                                            <Columns>
                                                <ig:BoundDataField Key="SBR_SUB_OB_REF_ID" Hidden="True" DataFieldName="SBR_SUB_OB_REF_ID">
                                                    <Header Text="SBR_SUB_OB_REF_ID" />
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="SBR_RESV_NUM" Width="35%" DataFieldName="SBR_RESV_NUM">
                                                    <Header Text="Sub-Obligation" />
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="SBR_RESV_LINE_NUM" Width="10%" DataFieldName="SBR_RESV_LINE_NUM">
                                                    <Header Text="Line" />
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="SBR_AMT_AVAILABLE" Width="20%" DataFieldName="SBR_AMT_AVAILABLE"
                                                    DataFormatString="${0:N0}" DataType="System.Decimal">
                                                    <Header Text="Available" />
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="SBR_TITLE" Width="35%" DataFieldName="SBR_TITLE" Hidden="true">
                                                    <Header Text="Title" />
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="fr_fund_cd" DataFieldName="fr_fund_cd" Width="15%">
                                                    <Header Text="Fund"></Header>
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="fr_begin_budget_fy" DataFieldName="fr_begin_budget_fy" Hidden="True">
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="fr_end_budget_fy" DataFieldName="fr_end_budget_fy" Hidden="True">
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="sor_cd" DataFieldName="sor_cd" Width="20%">
                                                    <Header Text="Program Area"></Header>
                                                </ig:BoundDataField>
                                                <ig:BoundDataField Key="ar_activity_cd" DataFieldName="ar_activity_cd" Width="20%">
                                                    <Header Text="Program Element"></Header>
                                                </ig:BoundDataField>
                                            </Columns>
                                            <Behaviors>
                                                <ig:Selection CellClickAction="Row" CellSelectType="None" RowSelectType="Single">
                                                </ig:Selection>
                                                <ig:Activation>
                                                </ig:Activation>
                                            </Behaviors>
                                        </ig:WebDataGrid>
                                    </ItemTemplate>
                                </EditorControl>
                            </ig:DropDownProvider> 
                        </editorproviders>
            </ig:WebDataGrid>
        </div>
    </form>
</body>
</html>
